
From: Mikael Pettersson <mikpe@user.it.uu.se>

Fix

drivers/net/depca.c: In function 'load_packet':
drivers/net/depca.c:1829: warning: operation on 'i' may be undefined

warning from gcc4 in depca.c.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/depca.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/depca.c~drivers-net-depcac-gcc4-fix drivers/net/depca.c
--- 25/drivers/net/depca.c~drivers-net-depcac-gcc4-fix	2005-03-15 22:19:19.000000000 -0800
+++ 25-akpm/drivers/net/depca.c	2005-03-15 22:19:19.000000000 -0800
@@ -1827,7 +1827,7 @@ static int load_packet(struct net_device
 
 		/* set up the buffer descriptors */
 		len = (skb->len < ETH_ZLEN) ? ETH_ZLEN : skb->len;
-		for (i = entry; i != end; i = (++i) & lp->txRingMask) {
+		for (i = entry; i != end; i = (i+1) & lp->txRingMask) {
 			/* clean out flags */
 			writel(readl(&lp->tx_ring[i].base) & ~T_FLAGS, &lp->tx_ring[i].base);
 			writew(0x0000, &lp->tx_ring[i].misc);	/* clears other error flags */
_
